clang 10.0.0git

Classes | Namespaces | Functions
SValBuilder.h File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprObjC.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/BasicValueFactory.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/MemRegion.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SymExpr.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SymbolManager.h"`
`#include "llvm/ADT/ImmutableList.h"`
`#include "llvm/ADT/Optional.h"`
`#include <cstdint>`
Include dependency graph for SValBuilder.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ento::SValBuilder

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Functions
SValBuilder * | clang::ento::createSimpleSValBuilder (llvm::BumpPtrAllocator &alloc, ASTContext &context, ProgramStateManager &stateMgr)